### Function

# Ide text_iter_in_string

#### Declaration

    gboolean
    ide_text_iter_in_string (
      GtkTextIter* iter,
      const gchar* str,
      GtkTextIter* str_start,
      GtkTextIter* str_end,
      gboolean include_str_bounds
    )

#### Description

Check if `iter` position in the buffer is part of `str`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter` indicating the position to check for.
| The data is owned by the caller of the function.
`str` | `const gchar*`
| A C type string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`str_start` | `GtkTextIter`
| A `GtkTextIter` returning the str start iter (if found).
| The argument will be set by the function.
| The data is owned by the caller of the function.
`str_end` | `GtkTextIter`
| A `GtkTextIter` returning the str end iter (if found).
| The argument will be set by the function.
| The data is owned by the caller of the function.
`include_str_bounds` | `gboolean`
| `TRUE` if we take into account the str limits as possible `iter` positions.

#### Return value

Returns: | `gboolean`
| `TRUE` if case of succes, `FALSE` otherwise.